xquery version "3.1";

module namespace url-redirect="https://mollenhauer-edition.de/ns/conversions/url-redirect";

(:~
 : Convert Module URL-redirect
 : *******************************************************************************************
 : This module contains functions to redirect URLs.
 : This module has never been implemented for work. It is not needed anymore.
 :
 : @version 0.2 (2023-08-01)
 : @status dev
 : @author Max-Ferdinand Zeterberg
 :)

import module namespace selection="https://mollenhauer-edition.de/ns/conversions/selection" at "selection.xqm";

declare function url-redirect:textviews($ID as xs:string) as xs:string
{
    let $editionnumber := tokenize($ID, '-')[1]
    let $versionToken := tokenize($ID, '-')[2]
    let $versionToken : = (
        if ($versionToken = 'tia') then
            'digital'
        else
            $versionToken
    )
    return
        try {
            string-join(
                (
                    'http://localhost:8080/exist/apps/sade/kmg.html?file=',
                    selection:TGURI-from-KMG-number($editionnumber),
                    '&amp;edition=',
                    $versionToken
                )
            )
        } catch * {
            'Error: ' || $editionnumber || ' does not exist'
        }
};