const indexControls = document.querySelector('.index-controls');

const updateIndexView = function updateIndexVier() {
  const formData = Object.fromEntries(new FormData(indexControls));
  const entries = document.querySelectorAll('.index-entry');
  entries.forEach((entry) => {
    if (formData.letter) {
      if (entry.dataset.letter === formData.letter) {
        entry.classList.remove('hidden');
      } else {
        entry.classList.add('hidden');
      }
    } else {
      entry.classList.remove('hidden');
    }
  });
};

const scrollTo = function scrollToRequestedEntity() {
  const url = new URL(window.location.href);
  const id = url.searchParams.get('entity');
  if (id) {
    const entity = document.getElementById(id);
    if (entity) {
      entity.scrollIntoView();
    }
  }
};

if (indexControls) {
  document.addEventListener('DOMContentLoaded', updateIndexView);
  indexControls.addEventListener('change', updateIndexView);
  scrollTo();
}
